[Buildroot] [PATCH 11/67] libevas-generic-loaders: libglib2 requires threads

Spenser Gilliland spenser at gillilanding.com
Mon Jul 15 19:46:54 UTC 2013


Signed-off-by: Spenser Gilliland <spenser at gillilanding.com>
---
 package/efl/libevas-generic-loaders/Config.in | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/package/efl/libevas-generic-loaders/Config.in b/package/efl/libevas-generic-loaders/Config.in
index bfa6097..5363794 100644
--- a/package/efl/libevas-generic-loaders/Config.in
+++ b/package/efl/libevas-generic-loaders/Config.in
@@ -15,11 +15,12 @@ config BR2_PACKAGE_LIBEVAS_GENERIC_LOADERS_SVG
 	select BR2_PACKAGE_LIBRSVG
 	select BR2_PACKAGE_CAIRO
 	depends on BR2_USE_WCHAR # librsvg -> glib2
+	depends on BR2_TOOLCHAIN_HAS_THREADS # librsvg -> glib2
 	depends on BR2_INSTALL_LIBSTDCPP # librsvg -> pango
 	help
 	  This option enables the Evas generic SVG loader
 
-comment "SVG loader requires a toolchain with WCHAR and C++ support"
-	depends on !BR2_USE_WCHAR && !BR2_INSTALL_LIBSTDCPP
+comment "SVG loader requires a toolchain with WCHAR, threading and C++ support"
+	depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS || !BR2_INSTALL_LIBSTDCPP
 
 endif
-- 
1.8.1.2




More information about the buildroot mailing list